Subject: bug#51840: 29.0.50; emoji does not show in menu

From: Eli Zaretskii <[email-masked]>
Date: Mon, 15 Nov 2021 16:20:17 +0200

> Date: Mon, 15 Nov 2021 16:58:05 +0300
> From: Jean Louis <[email-masked]>
> Cc: [email-masked]
> 
> > Your menus are GTK menus, so this is a GTK issue.  Does GTK support
> > Emoji in the menus?  Does the font used for GTK menus support them?
> 
> How do I find out which font to use? When I try to describe this one
> 😕 then I get error: cl--assertion-failed: Assertion failed: (not
> (multibyte-string-p str)) 

I think this was fixed not too long ago.  Suggest to update from Git.

> Should I then do: M-x customize-face RET menu RET and change the font
> to the one which supports emoji?

No, AFAIK.  You need to change the font used by GTK, so the place to
change is in the GTK settings, not Emacs settings.